IconStyle (KML Framework API)
Keywords: org.boehn.kmlframework.kml.IconStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class IconStyle

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.ColorStyle
              org.boehn.kmlframework.kml.IconStyle

    public class IconStyle

extends ColorStyle

Constructor Summary
`IconStyle()`
`IconStyle(java.lang.String color, ColorModeEnum colorMode, java.lang.Double scale, java.lang.Double heading, java.lang.String iconHref, java.lang.Double hotSpotX, java.lang.Double hotSpotY, UnitEnum hotSpotXunits, UnitEnum hotSpotYunits)`

Method Summary
`java.lang.Double` | `getHeading()`
`java.lang.Double` | `getHotSpotX()`
`UnitEnum` | `getHotSpotXunits()`
`java.lang.Double` | `getHotSpotY()`
`UnitEnum` | `getHotSpotYunits()`
`java.lang.String` | `getIconHref()`
`java.lang.Double` | `getScale()`
`void` | `setHeading(java.lang.Double heading)`
`void` | `setHotSpotX(java.lang.Double hotSpotX)`
`void` | `setHotSpotXunits(UnitEnum hotSpotXunits)`
`void` | `setHotSpotY(java.lang.Double hotSpotY)`
`void` | `setHotSpotYunits(UnitEnum hotSpotYunits)`
`void` | `setIconHref(java.lang.String iconHref)`
`void` | `setScale(java.lang.Double scale)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.ColorStyle
`getColor, getColorMode, setColor, setColorMode, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconStyle

    public IconStyle()

### IconStyle

    public IconStyle(java.lang.String color,
                     ColorModeEnum colorMode,
                     java.lang.Double scale,
                     java.lang.Double heading,
                     java.lang.String iconHref,
                     java.lang.Double hotSpotX,
                     java.lang.Double hotSpotY,
                     UnitEnum hotSpotXunits,
                     UnitEnum hotSpotYunits)

Method Detail

### getScale

    public java.lang.Double getScale()

### setScale

    public void setScale(java.lang.Double scale)

### getHeading

    public java.lang.Double getHeading()

### setHeading

    public void setHeading(java.lang.Double heading)

### getIconHref

    public java.lang.String getIconHref()

### setIconHref

    public void setIconHref(java.lang.String iconHref)

### getHotSpotX

    public java.lang.Double getHotSpotX()

### setHotSpotX

    public void setHotSpotX(java.lang.Double hotSpotX)

### getHotSpotY

    public java.lang.Double getHotSpotY()

### setHotSpotY

    public void setHotSpotY(java.lang.Double hotSpotY)

### getHotSpotXunits

    public UnitEnum getHotSpotXunits()

### setHotSpotXunits

    public void setHotSpotXunits(UnitEnum hotSpotXunits)

### getHotSpotYunits

    public UnitEnum getHotSpotYunits()

### setHotSpotYunits

    public void setHotSpotYunits(UnitEnum hotSpotYunits)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD